Skip to main content
GET
/
gpus
/
v2
/
templates
/
{template_id}
Get Template
curl --request GET \
  --url https://api.novita.ai/gpus/v2/templates/{template_id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/templates/{template_id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "tpl-001",
  "owner_id": "owner-001",
  "name": "pytorch-2.3-cuda12",
  "type": "instance",
  "visibility": "community",
  "image": "registry.example.com/ml/pytorch:2.3-cuda12",
  "registry_auth_id": "auth-001",
  "command": "",
  "entrypoint": "/bin/bash",
  "rootfs_size_gb": 50,
  "ports": [
    {
      "protocol": "http",
      "port": 8888
    }
  ],
  "envs": [
    {
      "key": "ENV",
      "value": "prod"
    }
  ],
  "metadata": {
    "readme": "PyTorch 2.3 with CUDA 12",
    "logo": "https://example.com/logo.png",
    "description": "PyTorch development template",
    "author": "PAI",
    "tags": [
      "pytorch",
      "cuda"
    ]
  },
  "min_cuda_version": "12.2",
  "created_at": 1715750400,
  "updated_at": 1715750400,
  "member_id": "550e8400-e29b-41d4-a716-446655440000"
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

template_id
string
required

Template ID. String, length: 1-255 characters.

Query Parameters

is_community
boolean

Whether to query a community template.

Response

200 - application/json

OK

id
string

Template ID

Example:

"tpl-001"

owner_id
string

Owner user ID

Example:

"owner-001"

name
string

Template name

Example:

"pytorch-2.3-cuda12"

type
string

Template type

Example:

"instance"

visibility
string

Visibility

Example:

"community"

image
string

Image address

Example:

"registry.example.com/ml/pytorch:2.3-cuda12"

registry_auth_id
string

Registry authentication ID

Example:

"auth-001"

command
string

Startup command

Example:

""

entrypoint
string

Image entrypoint

Example:

"/bin/bash"

rootfs_size_gb
integer

Root disk size. Unit: GB

Example:

50

ports
object[]

Exposed port configuration

envs
object[]

Environment variables

metadata
object

Template metadata

min_cuda_version
string

Minimum CUDA version

Example:

"12.2"

created_at
integer

Creation time. Unix timestamp

Example:

1715750400

updated_at
integer

Update time. Unix timestamp

Example:

1715750400

member_id
string

Creator member ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Last modified on June 23, 2026